<?xml version="1.0"?>
<doc>
    <assembly>
        <name>BookRegistry.Server</name>
    </assembly>
    <members>
        <member name="T:BookRegistry.Server.DB.IdName_Item">
            <summary>
            Simple ID+Name item
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.BookSaving_Input">
            <summary>
            Input parameters model (base for “AddBook_Input” and “UpdateBook_Input”)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.AddBook_SP">
            <summary>
            Book adding (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.AddBook_Input">
            <summary>
            Input parameters model as extension of “BookSaving_Input” (base model class)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.GetBookSelectionCollections_SP">
            <summary>
            Book selection collections obtainment — 5 lists (stored procedure)
            </summary>
            <remarks>
            Authors (#1), Categories (#2), Genres (#3), Publishers (#4), Series (#5)
            </remarks>
        </member>
        <member name="T:BookRegistry.Server.DB.GetServiceUser_SP">
            <summary>
            User information extraction (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.ServiceUser_Info">
            <summary>
            Service user model (result-set) with “server-only” password data
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.GetWeatherForecastSummaries_SP">
            <summary>
            Weather forecast summaries selection (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.ForecastSummary_Item">
            <summary>
            Result set (model)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.RemoveBook_SP">
            <summary>
            Book removal (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.SelectBooks_SP">
            <summary>
            Book list selection (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.SelectBooks_Input">
            <summary>
            Input parameters model
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.SelectBooks_Item">
            <summary>
            Result set (model), is derived from “IdName_Item” ([ID]+[Name] fields)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.UpdateBook_SP">
            <summary>
            Book data correction (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.UpdateBook_Input">
            <summary>
            Input parameters model as extension of “BookSaving_Input” (base model class)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.DB.DBConstants">
            <summary>
            Constant database characteristics (sizes, lengths etc.)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.PasswordMasking">
            <summary>
            User password simple masking and de-masking
            THIS APPROACH IS NOT FOR REAL APPLICATION.
            HASH ALGORITH OR STRONG ENCRYPTION MUST BE USED THERE INSTEAD OF PASSWORD MASKING.
            </summary>
            <remarks>
            Password masking is used only for general user (not for service administrator).
            </remarks>
        </member>
        <member name="P:BookRegistry.Server.PasswordMasking.UserPasswordMask">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.PasswordMasking.Prepare">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:BookRegistry.Server.OperationFailedException" />
        </member>
        <member name="M:BookRegistry.Server.PasswordMasking.DoPrepare(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.PasswordMasking.MaskUserPassword(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.PasswordMasking.UnmaskUserPassword(System.Byte[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.UserAuthorization">
            <summary>
            User authorization DB-queries for “UserAuthorizationController”-class
            </summary>
        </member>
        <member name="M:BookRegistry.Server.UserAuthorization.AuthorizeUser_A(System.String,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.UserAuthorization.AuthorizeGeneralUser_A(System.String,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.UserAuthorization.AuthorizeAdministrator_A(System.String,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.WeatherForecastController.#ctor(Microsoft.Extensions.Logging.ILogger{BookRegistry.Server.WeatherForecastController})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Server.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:BookRegistry.Server.OperationFailedException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do(BookRegistry.Server.ApiArgumentsBase,System.Func{BookRegistry.Server.GeneralApiResponse},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit(BookRegistry.Server.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{BookRegistry.Server.GeneralApiResponse})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do_A(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{BookRegistry.Server.GeneralApiResponse}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic_A(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit_A(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do_A(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{BookRegistry.Server.GeneralApiResponse}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic_A(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit_A(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do``1(BookRegistry.Server.ApiArgumentsBase,System.Func{BookRegistry.Server.GeneralApiResponse{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic``1(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit``1(BookRegistry.Server.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{BookRegistry.Server.GeneralApiResponse{``0}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do_A``1(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{BookRegistry.Server.GeneralApiResponse{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic_A``1(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit_A``1(BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse{``0}}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.Do_A``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{BookRegistry.Server.GeneralApiResponse{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoDynamic_A``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseController.DoExplicit_A``1(System.String,BookRegistry.Server.ApiArgumentsBase,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{BookRegistry.Server.GeneralApiResponse{``0}}}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.HTMLHelpers">
            <summary>
            HTML-helpers (Razor)
            </summary>
        </member>
        <member name="M:BookRegistry.Server.HTMLHelpers.CreatePageHeaderServiceRefs(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper)">
            <summary>
            Forming of service reference header (navigation images)
            </summary>
        </member>
        <member name="M:BookRegistry.Server.HTMLHelpers.CreatePageFooterServiceRefs(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper)">
            <summary>
            Forming of service reference footer (navigation images)
            </summary>
        </member>
        <member name="M:BookRegistry.Server.HTMLHelpers.BoldIf(Microsoft.AspNetCore.Mvc.Rendering.IHtmlHelper,System.Boolean,System.String)">
            <summary>
            Conditional accentuation of text with bold font style
            </summary>
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Server.InAction.#ctor(System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:BookRegistry.Server.MSG">
            <summary>
            Message helpers (error text for web-client etc.)
            </summary>
        </member>
        <member name="T:BookRegistry.Server.PageHlp">
            <summary>
            HTML-page helpers
            </summary>
        </member>
        <member name="T:BookRegistry.Server.NotNullInterpreter">
            <summary>
            Not null object and value interpreter (strict accessor)
            </summary>
        </member>
        <member name="M:BookRegistry.Server.NotNullInterpreter.NN``1(``0)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:BookRegistry.Server.NotNullInterpreter.V``1(System.Nullable{``0})">
            <exception cref="T:CommonHelpers.HNullValueException" />
        </member>
        <member name="P:BookRegistry.Server.Program.DevelopmentBehaviour">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.Program.ConnectionString">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.Program.PropertyNotSpecifiedError(System.String)">
            <exception crwf="ArgumentNullException" />
        </member>
        <member name="T:BookRegistry.Server.PropertyNNBase">
            <summary>
            Non-nullable property support for inheritance (strict access to underlying value)
            </summary>
        </member>
        <member name="M:BookRegistry.Server.QueryContext.DBLanguageOrDefault">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.Startup.#ctor(Microsoft.Extensions.Configuration.IConfiguration)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:BookRegistry.Server.StartupData.ServerName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.StartupData.DatabaseName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.StartupData.DatabaseLanguage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.StartupData.UserPasswordMask">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.StartupData.ObtainConfigParameters">
            <exception cref="T:BookRegistry.Server.OperationFailedException" />
        </member>
        <member name="P:BookRegistry.Server.StartupData.ConfigurationSection">
            <exception cref="T:BookRegistry.Server.OperationFailedException" />
        </member>
        <member name="M:BookRegistry.Server.StartupData.ObtainConfigParameter``1(System.String,System.Boolean)">
            <exception crwf="ArgumentException" />
            <exception cref="T:BookRegistry.Server.OperationFailedException" />
        </member>
        <member name="M:BookRegistry.Server.StartupData.PropertyNotInitializedError(System.String)">
            <exception crwf="ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.Attempt_A(System.Func{System.Threading.Tasks.Task})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.Attempt_A``1(System.Func{System.Threading.Tasks.Task{``0}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoAuto_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{``0}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoAuto_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic_A(System.String,System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic_A(System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{System.Object}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{System.Object}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit_A(System.String,System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit_A(System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit_A``1(System.String,System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit_A``1(System.Func{System.String,``0},System.Func{System.Threading.Tasks.Task{Microsoft.AspNetCore.Mvc.ActionResult{``0}}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.Attempt(System.Action)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.Attempt``1(System.Func{``0})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoAuto``1(System.String,System.Func{System.String,``0},System.Func{``0})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoAuto``1(System.Func{System.String,``0},System.Func{``0},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic(System.String,System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic(System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic``1(System.String,System.Func{System.String,``0},System.Func{System.Object})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoDynamic``1(System.Func{System.String,``0},System.Func{System.Object},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit(System.String,System.Func{Microsoft.AspNetCore.Mvc.ActionResult})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit(System.Func{Microsoft.AspNetCore.Mvc.ActionResult},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit``1(System.String,System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.DoExplicit``1(System.Func{System.String,``0},System.Func{Microsoft.AspNetCore.Mvc.ActionResult{``0}},System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.CurrentInfo.#ctor(System.Type,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.ReportException(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:BookRegistry.Server.XControllerBase.CurrentActionName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.XControllerBase.CurrentMethodNameOrSignature">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.XControllerBase.ActionContext">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.XControllerBase.VerifyNotActive">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.BookRegistry_Server_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="T:BookRegistry.Server.ApiArgumentsBase">
            <summary>
            Common base structure for API-action arguments
            </summary>
        </member>
        <member name="T:BookRegistry.Server.ApiPropertiesBase">
            <summary>
            Common base structure for API-properties chunk
            </summary>
        </member>
        <member name="T:BookRegistry.Server.GeneralApiResponse">
            <summary>
            Common base structure for API-response with message and status
            </summary>
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse.GetIfSuccess``1(``0,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse.CreateServerError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.GeneralApiResponseNI`1">
            <summary>
            Common structure for API-response with nullable items collection (generic), message and status
            </summary>
        </member>
        <member name="P:BookRegistry.Server.GeneralApiResponseNI`1.Items">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Server.GeneralApiResponseNI`1.ItemsNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseNI`1.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseNI`1.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponseNI`1.CreateServerError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.GeneralApiResponse`1">
            <summary>
            Common structure for API-response with not null items collection (generic), message and status
            </summary>
        </member>
        <member name="P:BookRegistry.Server.GeneralApiResponse`1.Items">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(BookRegistry.Server.GeneralApiResponse)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.List{`0})">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.List{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.List{`0},System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.List{`0},System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.IEnumerable{`0})">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.IEnumerable{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.IEnumerable{`0},System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,System.Collections.Generic.IEnumerable{`0},System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.CreateServerError(System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResult)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResultRV)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPResult{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPResultRV{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPResultN{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPResultRVN{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResult,System.Collections.Generic.List{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResultRV,System.Collections.Generic.List{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,CommonHelpers.HSPCommandResultRV,System.Collections.Generic.List{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResult,System.Collections.Generic.List{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResultRV,System.Collections.Generic.List{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,CommonHelpers.HSPCommandResultRV,System.Collections.Generic.List{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResult,System.Collections.Generic.IEnumerable{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResultRV,System.Collections.Generic.IEnumerable{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,CommonHelpers.HSPCommandResultRV,System.Collections.Generic.IEnumerable{`0})">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResult,System.Collections.Generic.IEnumerable{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(CommonHelpers.HSPCommandResultRV,System.Collections.Generic.IEnumerable{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Server.GeneralApiResponse`1.#ctor(System.Boolean,CommonHelpers.HSPCommandResultRV,System.Collections.Generic.IEnumerable{`0},System.String)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Server.IIdNameItemView">
            <summary>
            Simple ID+Name item-properties readonly access
            </summary>
        </member>
    </members>
</doc>
